# Check Point connections [(Download the MKP package)](/../../../-/raw/master/checkpoint_fw_connections.mkp "Download MKP package")

**Note: this package is for CheckMK version 2.x. For other versions see the corresponding branch.**

Monitors the connections through a Check Point gateway

**Note**: this plugin supersedes the original _checkpoint_connections_ plugin.

Check Info:

* *service*: this check will create the service *Firewall connections*
---
* *state*: **critical**/**warning** if the number of connections outside the configured levels
---
* *wato*: [(see WATO options)](/../../../-/raw/master//doc/wato.png "see WATO options")
---
* *perfdata*: 
    * TCP connections/s
    * UDP connections/s
    * ICMP connections/s
    * Other connections/s
    * Total connections/s
    * Connections rate/s
    * Current connections
    * Peak Connections
    * Current connections relative to table limit (if available)

---
#### Want to contribute?
Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")
---

Sample output

![sample output](/doc/sample.png?raw=true "sample output")

Sample detail output
![sample detail output](/doc/sample-details.png?raw=true "sample detail output")

WATO options
![WATO options](/doc/wato.png?raw=true "WATO options")
